Description

Hello, | noticed a bug when | was performing a landing onto Eve. When | turned time warp on my landing location was steady (using
Mechdeb), but when | turned it back to 1x speed | noticed my distance to target kept increasing. It appeared as though Eve rotated
about 200 m/s slower in 1x speed than in 5x speed. At first | thought this may have been induced from my Mods, but today | loaded a
fresh game (uninstalled and deleted the Kerbal folder from steam) and with minimal Mods (MechJeb and HyperEdit only) | was able
to recreate the bug. | also tested this on other planets and will post my results below.

Eve - 1x speed 200 m/s slower than 5x speed

Kerbin - 1x speed matched 5x speed

Mun - 5x speed caused the bug (don't remember which was faster)
Duna - 1x speed 90 m/s slower than 5x speed

Laythe - similar bug, unknown average speed

Tylo - similar bug, unknown average speed

Bop - similar bug, unknown average speed

| found the error with and without parachutes. | at first thought a possible MechJeb calculation error, but | have landed a craft at
drastically different points by leaving the 5x speed on longer. It appears the bug corrects itself at approximately 100K meters. | only
tested the 100K meters correction once.

As a preliminary solution direction, | thought the new Unity upgrade may have induced the bug unexpectedly, but that is a total
guess.

| have experienced this on two different computers both running Windows 7 Ultimate. If you have any questions just let me know.
Thanks

History

#1 - 03/15/2014 12:44 AM - TruePikachu
Why would the Unity update affect your game if the released game doesn't have it yet?

| can pretty reasonably assert that there are no issues with the rotation in time warp; the bodies are always on rails, and their rotation can be
calculated for any time with 100% accuracy.

If the predicted target (which itself is Mechdeb calculating where you will land, and isn't always accurate; | can confirm that) is moving when you are
not on rails, there is a good chance the issue is rather with parts forcing each other. You can confirm this with MechJeb's Orbit Information panel - you
will note that your orbital characteristics are changing when in 1x time, but aren't during time acceleration (which is also when your landing point
remains constant).

#2 - 03/15/2014 09:22 AM - Killeraira

- File Screenshots1.rar added

The Unity was a guess, it seemed to be the only update in .23 that could have caused a planetary rotation tweek to me so | mentioned it.

The target | am using is the predicted landing location. Using MechJeb | can get a predicted landing location and estimated distance from landing
location. This is where | first noticed that the planet seemed to rotate faster in 1x than in 5x+. | took some screen shots while performed a test this
morning to verify | would physically land at different locations while using only 1x Time Warp or 5x+ Time Warp. With a test on Dres | landed at 68W
using 1x Time Warp and at 92W using 5x or more Time Warp. | also used the landsomewhere so It would not try to adjust me toward my target
landing position.
In the test | setup a vertical landing to remove most variables from the test. | then save the current state, land the craft in 1x speed only, and then
again | load the same and perform the same landing using time warp 5x+ until less than 98K altitude, and then land. | initially started the test on Tylo,
but realized | did not have enough delta V to prevent a crash. | then restarted my test at Dres. It can be seen that my distance from target is
constantly increasing until | get to about 98K altitude. Also as stated above my landing location is drastically different. The flight times are
approximately the same so it does not appear the ships gravitational speed is at fault. | have noticed similar bugs on other planets, but | know Kerbin
does not appear have this problem. So testing would need to be done on another planet than Kerbin.

This problem could only apply to me, but | was able to recreate it on both my PC and Laptop which are very different. | forgot to mention before that |
run 64 bit Windows if that matters. If you have any questions or need me to test anything just let me know. Thanks

#3 - 03/15/2014 09:23 AM - Killeraira

- File Screenshots2.rar added

Attached second set due to size limitation.

#4 - 03/16/2014 02:17 PM - Killeraira

| have discovered a work around. | adjusted the terrain detail to from the launcher and still have the problem. Then in game | went to space center,
exited, and adjusted the detail to Low on the starting screen. When | returned | noticed it was more stable. | proceeded to perform some more testing.
It appears now that if | save state and then load state, or return to space center and then return to flight it will correct itself. Previously | know the save
state would not correct the problem. It appears my adjusting the terrain detail may have partially fixed the problem | was seeing and the saving and
loading flight will fix the other portion.

| previously never adjusted the terrain detail, leaving it on default. | initially noticed the bug when using the Orbital Constructor mod which acts similar
to the Hyper Edit mod by "teleporting” the craft to a specific location. This also may be why this bug has not been noticed before since it requires
conditions that are not very typical.

| will test this on my laptop and on .22 version and report my finding, but since it's difficult to recreate and fairly easy to resolve | would move it low
priority. Again, let me know if you have any questions.

#5 - 03/18/2014 09:17 AM - Killeraira

With testing on the Laptop | was not able to recreate a situation where the bug was seen after performing a save/load state combination. This does
however appear to correct the problem.

| identified the problem to be more than likely related to hyperedit than the system. Using two craft, | set one on the vertical decent, saved/loaded
state to have it balanced. | then went back to Space Center and launched a second ship very near the first to see if it would behave the same as the
first. | noticed the distance between the two ships increased at a similar rate to which my landing location was adjusting. It appears when "teleporting”
the ship it pickups an invisible velocity that is nulled once the save/load state has been performed.

Suggested to change to not a bug, but archive information if a future feature has a similar problem. | will inform the Hyperedit modders of the bug.
Thanks

#6 - 07/27/2015 06:05 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#7 - 07/17/2016 09:36 AM - TriggerAu

- Status changed from New to Needs Clarification

#8 - 08/08/2016 12:54 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
